Skip to main content
GET
/
api
/
{blockchain}
/
orders
/
{order_hash}
TypeScript
const options = {method: 'GET'};

fetch('https://swap.ggp.gg/api/{blockchain}/orders/{order_hash}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "createdAt": 1,
  "filledTxHashes": [
    "<string>"
  ],
  "maker": "<string>",
  "makerSrcOrToken": "<string>",
  "makerToken": "<string>",
  "makerTraits": "<string>",
  "makingAmount": "<string>",
  "orderHash": "<string>",
  "orderType": "limit",
  "parsedMakerTraits": {
    "allowMultipleFills": true,
    "allowPartialFills": true,
    "allowedSenderSuffix": "<string>",
    "expiration": 1,
    "hasExtension": true,
    "needCheckEpochManager": true,
    "needPostInteractionCall": true,
    "needPreInteractionCall": true,
    "nonceOrEpoch": 1,
    "series": 1,
    "unwrapWeth": true,
    "usePermit2": true
  },
  "status": "<string>",
  "takerSrcOrToken": "<string>",
  "takerToken": "<string>",
  "takingAmount": "<string>",
  "cancelledAt": 1,
  "extension": "<string>",
  "filledAt": 1,
  "meta": {
    "makerToken": {
      "address": "<string>",
      "blockchain": "ethereum",
      "createdAt": "2023-12-25",
      "decimals": 123,
      "fdv": "<string>",
      "price": "<string>",
      "updatedAt": "2023-12-25",
      "name": "<string>",
      "symbol": "<string>",
      "uri": "<string>"
    },
    "takerToken": {
      "address": "<string>",
      "blockchain": "ethereum",
      "createdAt": "2023-12-25",
      "decimals": 123,
      "fdv": "<string>",
      "price": "<string>",
      "updatedAt": "2023-12-25",
      "name": "<string>",
      "symbol": "<string>",
      "uri": "<string>"
    }
  },
  "recipient": "<string>"
}

Path Parameters

blockchain
enum<string>
required
Available options:
ethereum,
bsc,
arbitrum
orderHash
string
required

Response

Maker order by hash

createdAt
integer<int64>
required

Timestamp when the order was created (Unix time in seconds)

Required range: x >= 0
filledTxHashes
string[]
required

List of transaction hashes where the order was filled (partial or full executions)

maker
string
required

Maker wallet or contract address

makerSrcOrToken
string
required

Address of the maker asset (ERC20 token contract)

makerToken
string
required

ERC20 token contract

makerTraits
string
required

Encoded maker traits represented as a 256-bit value

makingAmount
string
required

Amount of the maker token to swap (in token's smallest unit, e.g., wei for ETH)

orderHash
string
required

Order hash (id in bytes32)

orderType
enum<string>
required

Order type

Available options:
limit,
twap
parsedMakerTraits
object
required

Parsed representation of maker traits with readable fields

status
string
required

Current order status

takerSrcOrToken
string
required

Address of the taker asset (ERC20 token contract)

takerToken
string
required

ERC20 token contract

takingAmount
string
required

Amount of the taker token to receive (in token's smallest unit, e.g., wei for ETH)

cancelledAt
integer<int64> | null

Timestamp when the order was cancelled, if applicable

Required range: x >= 0
extension
string | null
filledAt
integer<int64> | null

Timestamp when the order was completely filled, if applicable

Required range: x >= 0
meta
object

Deserialized tokens metadata

recipient
string | null

Recipient address (maker or contract)